%module occi
%{
/* Includes the header in the wrapper code */
#include "occisession.h"
#include "resource.h"
#include "compute.h"
#include "template.h"
%}



/* Parse the header file to generate wrappers */
%include "std_string.i"
%include "std_vector.i"
%include "std_shared_ptr.i"

// a del python kulcsszo ezert warningot kapunk a generalaskor
// az OcciSession::del() metodusa amugy sem tartozik a
// publikus interfeszhez
%ignore OcciClient::OcciSession::del;

%shared_ptr(OcciClient::Resource)
%shared_ptr(OcciClient::Compute)

%newobject nlohmann::json;

%include "occisession.h"
%include "resource.h"
%include "compute.h"
%include "template.h"

namespace std {
    %template(TemplateVector) vector<Template>;
}
